# Iperf3 Server on Podman

- [Iperf3 Server on Podman](#iperf3-server-on-podman)
  - [Install](#install)
  - [Client](#client)

## Install

Create a new ipv6 network

```bash
# As root
podman network create iperf3 --ipv6
```

Create the iperf3 container

```bash
# As root
podman run \
--name iperf3 \
-d \
-p 5201:5201 \
--restart=always \
--network=iperf3 \
docker.io/networkstatic/iperf3:latest -s
```

Make sure you have the `podman-restart` service enabled and running

```bash
systemctl enable --now podman-restart
```

## Client

```bash
podman run \
--rm \
--network=iperf3 \
docker.io/networkstatic/iperf3:latest -c 3dserver.reeselink.com -P 5
```
